<!-- [ngClass]="{'selectable': isSelectable}" -->
<div class="card">
  <span class="card__avis" [matTooltip]="'shared.tip.opinion' | translate">{{ media?.rate ? media?.rate : '?' }}</span>
  <div class="card__content">
    <img *ngIf="media?.image" [src]="media?.image" alt="item background" onerror="this.style.display='none'" />
  </div>
  <div class="card__title">
    <p>{{ media?.title }}</p>
  </div>
  <div class="card__menu" *ngIf="editable" (click)="view()">
    <a
      type="button"
      mat-icon-button
      [routerLink]="['/', media.type, 'edit', media._id]"
      sfl-stop-propagation
      [matTooltip]="'shared.tip.edit' | translate"
      aria-label="view element"
    >
      <mat-icon>edit</mat-icon>
    </a>
    <ng-container *ngTemplateOutlet="customButtonRef"></ng-container>
    <!-- <button *ngIf="isSelectable type="button"  mat-mini-fab [color]="isSelected ? 'warn' : 'accent' " (click)="selectMedia()" [matTooltip]="'shared.tip.' + (isSelected ? 'removeFromList' : 'addToList') | translate" aria-label="view element">
            <mat-icon>{{isSelected ? 'remove' : 'add'}}</mat-icon>
        </button> -->
  </div>
</div>
